package com.chenyang.nse.bussiness.entity.orm.table.core;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_DATAFILE_GROUP"
)
public class TCoreDataFileGroup extends TBaseEntity {
   @Column(
      length = 32
   )
   private String searchregexid;
   @Column(
      length = 32
   )
   private String datafileid;
   @Column(
      length = 64
   )
   private String datafilename;
   @Column(
      length = 32
   )
   private String subsearchregexid;
   @Column(
      length = 32
   )
   private String flag;

   public String getFlag() {
      return this.flag;
   }

   public void setFlag(String flag) {
      this.flag = flag;
   }

   public TCoreDataFileGroup(String searchregexid, String datafileid, String datafilename) {
      this.searchregexid = searchregexid;
      this.datafileid = datafileid;
      this.datafilename = datafilename;
   }

   public TCoreDataFileGroup() {
   }

   public String getDatafilename() {
      return this.datafilename;
   }

   public void setDatafilename(String datafilename) {
      this.datafilename = datafilename;
   }

   public String getSearchregexid() {
      return this.searchregexid;
   }

   public void setSearchregexid(String searchregexid) {
      this.searchregexid = searchregexid;
   }

   public String getDatafileid() {
      return this.datafileid;
   }

   public void setDatafileid(String datafileid) {
      this.datafileid = datafileid;
   }

   public String getSubsearchregexid() {
      return this.subsearchregexid;
   }

   public void setSubsearchregexid(String subsearchregexid) {
      this.subsearchregexid = subsearchregexid;
   }
}
